import numpy as np
from sklearn import svm
from sklearn.metrics import f1_score, accuracy_score

def getF1micro(tlabels, plabels):
    return f1_score(tlabels, plabels, average='micro')

def getF1macro(tlabels, plabels):
    return f1_score(tlabels, plabels, average='macro')
def getAccuracy(tlabels, plabels):
    return accuracy_score(tlabels, plabels)

def Performace(Xtrain, Xtest, Ytrain, Ytest):
    '''
    Evaluate the performance of classification for both multi-class
    :param Xtrain: the training data with row denotes instances, column denotes features
    :param Xtest: the test data with row denotes instances, column denotes features
    :param Ytrain: the training labels with row denotes instances
    :param Ytest: the test labels
    :return:
    '''
    clf = svm.LinearSVC()
    clf.fit(Xtrain, Ytrain)
    predY = clf.predict(Xtest)
    f1mi = getF1micro(Ytest, predY)
    f1ma = getF1macro(Ytest, predY)
    accr = getAccuracy(Ytest, predY)

    return f1mi, f1ma, accr
